<?
/*
=====================================================
 Volkov NET!! - by SaNcHeS Group 
-----------------------------------------------------
 http://AllForCS.RU/
-----------------------------------------------------
 Copyright (c) 2009 SaNcHeS Group
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Файл: maker.php
-----------------------------------------------------
 Назначение: Генератор страниц
=====================================================
*/

include("./../inc/config.php");
include("./passwd.php");
include("./auth.php");
include("./html.php");
include("./generator.php");

echo $HEAD;
echo $JS_POPUP;
echo $STYLE;
echo $BODY;

if ($_POST){

if ($_POST['gen_all']){
generate_new_mp3();
generate_pop_mp3();
generate_viewers(0, "end");
generate_guest();
generate_about();
generate_search();
generate_lists();
generate_voite();
generate_new();
generate_top();
generate_404();
generate_403();
}

if ($_POST['gen_5']){
generate_new_mp3();
generate_pop_mp3();
}

if ($_POST['gen_view']){
generate_viewers($_POST['ot'], $_POST['do']);
}

if ($_POST['gen_list']){
generate_lists($_POST['bkv']);
}

if ($_POST['gen_size']){
generate_filesize($_POST['np']);
}

if ($_POST['gen_guest']){
generate_guest();
}

if ($_POST['gen_about']){
generate_about();
}

if ($_POST['gen_search']){
generate_search();
}

if ($_POST['gen_100_new']){
generate_new();
}

if ($_POST['gen_100_pop']){
generate_top();
}

if ($_POST['gen_404']){
generate_404();
}

if ($_POST['gen_403']){
generate_403();
}

if ($_POST['gen_voite']){
generate_voite();
}

if ($_POST['gen_reg']){
generate_register();
}

if ($_POST['null_all']){
all_null();
}



echo "<meta http-equiv=\"refresh\" content=\"2;url=maker.php\"><br><br><br><br><center>Операция успешно выполнена!</center>";exit;}

print <<<vivod
<table align="center" cellpadding="0" cellspacing="0">
<tr>
<td width="600">
<p>Внимание! Данная страница предназначена для <b>ручной</b> генерации страниц и блоков сайта. Это бывает необходимо при возможных глюках движка или случайном удалении страниц сайта.
<form name='gen_form' action='maker.php' method='post'>
<p class='mb'>
<table cellpadding='0' cellspacing='0' style='mb'>
<tr><td nowrap width='20'>

<input name="gen_all" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;все страницы сайта</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_5" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;блок сайта "5 новых" и "5 популярных" песен</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="gen_view" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;вьюверы для диапазона id от <input name="ot" type="text" size="5"> до <input name="do" type="text" size="5"> (end - последний id)</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_list" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницы листинга, с буквой <input name="bkv" type="text" size="5" maxlength="1"> (если пусто, то генерится весь алфавит)</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="gen_size" type="submit" value="Обновить &nbsp; &nbsp; &nbsp; ">
</td><td>
<p>&nbsp; &nbsp;размеры файла(ов) в БД с ID песни: <input name="np" type="text" size="5"> (если пусто, то обновим все записи)</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_guest" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "Гостевая книга"</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="gen_about" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "О проекте"</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_search" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "Поиск"</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="gen_100_new" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "100 новых песен"</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_100_pop" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "100 популярных песен"</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="gen_404" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "404 ошибка"</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_403" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "403 ошибка"</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="gen_voite" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;блок сайта "Голосование"</p>
</td></tr>

<tr height='25'><td nowrap width='20'>
<input name="gen_reg" type="submit" value="Генерировать">
</td><td>
<p>&nbsp; &nbsp;страницу "Регистрация"</p>
</td></tr>

<tr><td nowrap width='20'>
<input name="null_all" type="submit" value="Обнулить &nbsp; &nbsp; &nbsp; &nbsp;">
</td><td>
<p>&nbsp; &nbsp;всю статистику по загрузкам</p>
</td></tr>

</table>
vivod;

@mysql_free_result();
@mysql_close();
?>